%define	fontdir		%{_datadir}/fonts/ja/TrueType

Summary:	Japanese TrueType Fonts
Summary(ja):	Y.OzFont
Name:		YOzFont
Version:	9.18
Release:	b1
License:	Distributable
Group:		User Interface/X
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{PACKAGE_VERSION}-root
Source:		%{name}-%{version}.tar.bz2
URL:		http://yozvox.web.infoseek.co.jp/

%description
This package provides Japanese TrueType fonts, and includes
ttindex files for VFlib.

%prep
%setup -q

%build
for i in *.ttc ; do ttindex $i ; done

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

install -d -m 0755 $RPM_BUILD_ROOT%{fontdir}
install -m 0644 *.ttf $RPM_BUILD_ROOT%{fontdir}

for i in *.ttc *.tti ; do
  install -m 0444 ${i} $RPM_BUILD_ROOT%{fontdir}
done

# "touch" all files we've got flagged as %ghost  but which are not
# present in the RPM_BUILD_ROOT when RPM looks for files
/bin/touch $RPM_BUILD_ROOT%{fontdir}/fonts.cache-1

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{_datadir}/fonts
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{_datadir}/fonts
  fi
fi

%files
%defattr(0644,root,root,0755)
#%doc *.TXT
%dir %{fontdir}
%{fontdir}/*.ttc
%{fontdir}/*.tti
%{fontdir}/*.ttf
%ghost %{fontdir}/fonts.cache-1


##
## change log
##

%changelog
* Tue May 10 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 9.18
* Mon Nov 1 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 9.10
* Thu Jan 29 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 8.20
- Changed this package name to YOZFont from YOZFontK
* Mon Jun 16 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
